zerops:
  - setup: hedgedocindex
    build:
      os: alpine
      base:
        - go@latest
      buildCommands:
        - go build -o app main.go
      cache: true
      deployFiles:
        - app
    run:
      os: alpine
      base: alpine@latest
      envVariables:
        HEDGEDOC_URL: https://hedgedoc.zerops.io
        DATABASE_CONNECTION_STRING: ${docdb_connectionString}/${docdb_dbName}
      ports:
        - port: 8080
          httpSupport: true
      start: ./app